REM 2005 (c) Copyright IBM Corp.
REM All Rights Reserved.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 				  2005 (c) Copyright IBM Corp
:: 					All Rights Reserved
::   
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
	@ECHO OFF
	SET	logPath=%1\FunctionalTester\ifeatureUpdate.log
	SET	ERR_CODE=0
	SET	result=""	
	SET proxy=updater.rft_specific.siebel.java.611_1.0.0
	SET proxyName=Siebel.java
	SET backupFolder=%1\FunctionalTester\eclipse\plugins\backup\rft61_refreshpack001\%proxy%

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                               Start Install Siebel feature pack
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
	
CALL :StartLogging

CALL :CreateBackup
IF %ERR_CODE% == 1 GOTO :EXIT_ERROR

CALL :CheckCustomInstaller
IF %ERR_CODE% == 1 GOTO :EXIT_ERROR

CALL :InstallCustomFile /i rational_ft_siebel.rftcust 
IF %ERR_CODE% == 1 GOTO :EXIT_ERROR

CALL :InstallCustomFile /i rational_ft_siebel.jar 
IF %ERR_CODE% == 1 GOTO :EXIT_ERROR

REM CALL :InstallCustomFile /h SDK_Sample 
REM IF %ERR_CODE% == 1 GOTO :EXIT_ERROR

GOTO :EXIT_SUCCESS

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 					   Create Backup folders (used for uninstall)
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:CreateBackup
	CALL :Log "Creating backup folder:"
	CALL :Log %backupFolder%
	mkdir %backupFolder%
	CALL :Log "Populating backup folder:"
	@ECHO ON
	copy /Y uninstall.bat %backupFolder%
	copy /Y install.bat %backupFolder%
	copy /Y InstallCustomFile.exe %backupFolder%
	copy /Y rational_ft_siebel.rftcust %backupFolder%
	@ECHO OFF
	GOTO :EOF

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 					 Install Custom Files
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:InstallCustomFile
	SET	ERR_CODE=0

	CALL :Log "InstallCustomFile.exe %1 %2"
	InstallCustomFile.exe %1 %2

	IF	%ERRORLEVEL% == 0 (
		SET ERR_CODE=0
	) else (
		SET ERR_CODE=1
		IF ERRORLEVEL 1  SET result=ErrorCode 1 : Invalid number of arguments for custom installer
		IF ERRORLEVEL 2  SET result=ErrorCode 2 : Custom File Not Found
		IF ERRORLEVEL 3  SET result=ErrorCode 3 : Custom Folder Not Found
		IF ERRORLEVEL 4  SET result=ErrorCode 4 : Custom Install Command Timed Out
		IF ERRORLEVEL 5  SET result=ErrorCode 5 : Command File Create failure
		IF ERRORLEVEL 6  SET result=ErrorCode 6 : Command File Create failure
	)
	GOTO :EOF

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 						 Start Logging 
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:StartLogging
	CALL :Log "---------------- Start installing %proxyName% -----------------"
	Date /T	>> %logPath%
	Date /T
	Time /T	>> %logPath%
	Time /T
	CALL :Log "Current Directory:"
	cd >> %logPath%
	cd
	CALL :Log ---------------------------------------------------------------------
	GOTO :EOF


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 				           Check For Custom Installer 
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:CheckCustomInstaller
	CALL :CheckFileExistance InstallCustomFile.exe

	IF %ERR_CODE%==1 (
		SET	result=Custom file installer Not Found
	)
	GOTO :EOF

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 					Output result to log file
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:Log
	ECHO	%1 	>> %logpath%
	ECHO	%1
	GOTO :EOF

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                                         Check For a file existance
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:CheckFileExistance
	IF  EXIST %1 (
		SET result=File Exists
		SET	ERR_CODE=0
	)else (
		SET result=File Not Found
		SET	ERR_CODE=1
	)
	CALL :Log	"Searching for file %1....%result%"
	GOTO :EOF 

:EXIT_SUCCESS
	call	:Log "-------------------------  Install Status --------------------------- "
	CALL	:Log "%proxyName% installed successfully...."
	GOTO	:LAST

:EXIT_WARNING
	call	:Log "-------------------------  Install Status --------------------------- "
	CALL	:Log "%proxyName% installation Completed with Warning(s)"
	GOTO	:LAST

:EXIT_ERROR
	CALL	:Log "-------------------------  Install Status --------------------------- "
	CALL	:Log "%proxyName% installation Failed  with Error : %result%"

:LAST
	call	:Log "--------------------------------------------------------------------- "
